#### D.12.2.19 SolowayStrassen

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  SolowayStrassen(n,k);

Return:
  1 if n is prime, 0 else

Note:
  probabilistic test of Soloway-Strassen with k loops to test if n is prime using the theorem: If n is prime then
  powerN(a,(n-1)/2,n)=Jacobi(a,n) mod n

Example:

    LIB "crypto.lib";
    bigint h=10;
    bigint p=h^100+267;
    //p=h^100+43723;
    //p=h^200+632347;
    SolowayStrassen(h,3);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.